xquery version "1.0" encoding "iso-8859-2";

import schema namespace bib="http://www.school.edu.pl/bib";

declare function local:st($elem as element()) as element()
{
   typeswitch($elem)
      case $ksika as element(*, bib:TypKsiki)
	 return
	    <spis-treci>
	       { $ksika/bib:tytu, $ksika/bib:autor }
	       {
		 for $p in $ksika/element(*,bib:TypPunktu)
		 return local:st($p)
	       }
	    </spis-treci>
      case $punkt as element(*, bib:TypPunktu)
	 return
	    <pozycja>
	       { $punkt/@bib:id, $punkt/bib:tytu }
	       {
		 for $p in $punkt/element(*,bib:TypPunktu)
		 return local:st($p)
	       }
	    </pozycja>
      default
	 return <bd-w-dokumencie/>
};

for $r in collection("bib")/bib:ksika
return local:st($r)
